.editor_panel{
    position: fixed;
    z-index: 100;
}
.audio_indicator{
    opacity: 0.3;
}

.audio_indicator.selected{
    opacity: 1;
}

.huxing_label{
	position: absolute;
	/*border: 1px solid red;*/

}

.label_text{
    border-radius: 3px;
    /*height: 50px;*/
    transform: translateX(-50%) translateY(-200%);
    background: rgba(0, 0, 0, 0.4);
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
}

.add_audio{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    padding: 20px;
}
.add_audio div{
    margin-top: 5px;
}

.add_audio input {
    color: black;
}

.controls{
    display: flex;
    justify-content: space-around;

}
.controls input{
    padding: 5px;
}


/*huxingDiv.css("position", "absolute");*/
/*huxingDiv.css("right", "0px");*/
/*huxingDiv.css("top", "20px");*/
/*huxingDiv.css("width", "120px");*/
/*// huxingDiv.css("height", "300px");*/
/*huxingDiv.css("z-index", "10000");*/
/*huxingDiv.css("border-top-left-radius", "10px");*/
/*huxingDiv.css("border-bottom-left-radius", "10px");*/
/*huxingDiv.css("background", "rgba(0, 0, 0, 0.5)");*/
/*huxingDiv.css("padding", "10px");*/

.top_compass {
    position: absolute;
    right: 0px;
    top: 200px;
    width: 120px;
    z-index: 10000;
}

.top_compass img {
    width: 100%;
    transform: translate(-50%,-50%);
    margin-left: 50%;
    margin-top: 50%;
}

.top_menu {
	position: absolute;
    top: 20px;
    left:0;
    right:0;
    height: 40px;
    display: flex;
    flex-direction:row;
    justify-content: center;
	align-content: center;
    cursor: pointer;
    user-select: none;
    background:linear-gradient(90deg,rgba(0,0,0,0) 0%,rgba(0,0,0,0.2) 53%,rgba(245,245,245,0) 100%);
}
@keyframes fadeInDown {
    0% {
        -webkit-transform: translate3d(0, -30px, 0);
        -webkit-transform: translate3d(0, -30px, 0);
        transform: translate3d(0, -30px, 0);
        transform: translate3d(0, -30px, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: none;
        transform: none;
        opacity: 1;
    }
}

@-webkit-keyframes fadeInDown {
    0% {
        -webkit-transform: translate3d(0, -30px, 0);
        opacity: 0;
    }
    100% {
        -webkit-transform: none;
        opacity: 1;
    }
}
@keyframes fadelogIn {
    0% {
        -webkit-transform: translate3d(0, 30px, 0);
        transform: translate3d(0, 30px, 0);
        opacity: 1;
    }
    100% {
        -webkit-transform: none;
        transform: none;
        opacity: 0;
    }
}

@-webkit-keyframes fadelogIn {
    0% {
        -webkit-transform: translate3d(0, 30px, 0);
        opacity: 1;
    }
    100% {
        -webkit-transform: none;
        opacity: 0;
    }
}
/* @keyframes fadelogIn { */
/*     0% { */
/*         -webkit-transform: translate3d(0, 20%, 0); */
/*         -webkit-transform: translate3d(0, 20%, 0); */
/*         transform: translate3d(0, 20%, 0); */
/*         transform: translate3d(0, 20%, 0); */
/*     } */
/*     100% { */
/*         -webkit-transform: none; */
/*         transform: none; */
/*     } */
/* } */

/* @-webkit-keyframes fadelogIn { */
/*     0% { */
/*         -webkit-transform: translate3d(0, 20%, 0); */
/*     } */
/*     100% { */
/*         -webkit-transform: none; */
/*     } */
/* } */
.top_menu .menu_title{
	
    height: 40px;
    line-height:40px;
    margin-left: 20px;
    font-weight:bold;
    font-size: 17px;
}

.top_menu .menu_arrow{
	
    width: 13px;
    height: 8px;
    background-image: url(../images/huxing/img_menu_arrow.png);
/*     transform:rotate(270deg); */
    background-size: 100% 100%;
    margin-top: 18px;
    margin-right: 10px;
    margin-left: 18px;
}

.top_menu.expanded .menu_arrow {
    transform: rotate(180deg);
}

.popup_intro {
    position: absolute;
    left: 20px;
    right: 20px;
    top: 80px;
    min-height:100px;
    z-index:667;
    padding-bottom:30px;
    background: rgba(0,0,0,0.5);
    border-radius:10px;
}

.intro_arrow_container {
    margin-left: 50%;
    position: relative;
    width: 10px;
    height: 10px;
}

.intro_arrow {
    width: 100%;
    height: 100%;
    transform: translate(-50%, -50%) rotate(45deg);
    background: rgba(37, 36, 36, 1);
}
